/****************************************************************************************************

		BasicTerrainFilter.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Lionel
		Date:	10/22/2004

****************************************************************************************************/

#ifndef __BasicTerrainFilter__
#define __BasicTerrainFilter__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "BasicCOMImplementations.h"
#include "MCBasicTypes.h"
#include "MCBasicDefines.h"

#include "I3dExTerrainFilter.h"


class TBasicTerrainFilter : public I3DExTerrainFilter, public TBasicDataExchanger 
{
	public:

		// TBasicDataExchanger
		virtual MCCOMErr MCCOMAPI QueryInterface	(const MCIID& riid, void** ppvObj);
		virtual uint32 	 MCCOMAPI AddRef			()	{ return TBasicDataExchanger::AddRef(); }

		// I3DExTerrainFilter
		virtual void	MCCOMAPI Shuffle			()	{}
		virtual void	MCCOMAPI Filter				(TMCArray<real>& heightField, TVector2& heightBound, const TIndex2& size, const TVector2& cellSize) {}
		virtual boolean MCCOMAPI CanBuildPreview	()	{return true;}
};



#endif
